Classes | UGens>Envelopes

# XLine : UGen : AbstractFunction : Object

Exponential line generator.
Source: Line.sc
See also: Line

## Description

Generates an exponential curve from the start value to the end value. Both the start and end values must be non-zero and have the same sign.

## Class Methods

### XLine.ar(start: 1.0, end: 2.0, dur: 1.0, mul: 1.0, add: 0.0, doneAction: 0)

### XLine.kr(start: 1.0, end: 2.0, dur: 1.0, mul: 1.0, add: 0.0, doneAction: 0)

#### Arguments:

start | Starting value.
end | Ending value.
dur | Duration in seconds.
mul | Output will be multiplied by this value.
add | This value will be added to the output.
doneAction | A doneAction to be evaluated when the line is completed. See Done for more detail.

### Inherited class methods

## Instance Methods

### Inherited instance methods

### Undocumented instance methods

### .canFreeSynth

From extension in /Applications/SuperCollider.app/Contents/Resources/SCClassLibrary/Common/Audio/canFreeSynth.sc

## Examples

play({ SinOsc.ar(XLine.kr(200,17000,10),0,0.1) });
helpfile source: /Applications/SuperCollider.app/Contents/Resources/HelpSource/Classes/XLine.schelp
link::Classes/XLine::